Loading...
Searching...
No Matches
OgreHardwareBufferManager.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreSingleton.h"`
`#include "OgreHardwareIndexBuffer.h"`
`#include "OgreHardwareVertexBuffer.h"`
`#include "Threading/OgreThreadHeaders.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::HardwareBufferLicensee
| Abstract interface representing a 'licensee' of a hardware buffer copy. More...
class | Ogre::HardwareBufferManager
| Singleton wrapper for hardware buffer manager. More...
class | Ogre::HardwareBufferManagerBase
| Base definition of a hardware buffer manager. More...

## Namespaces

namespace | Ogre